%define srcname    rttopo
%define major      1
%define libname    %mklibname %{srcname} %{major}
%define libnamedev %mklibname %{srcname} -d

Name:           librttopo
Version:        1.1.0
Release:        %mkrel 1
Summary:        Create and manage SQL/MM topologies
Group:          System/Libraries
License:        GPLv2+
URL:            https://git.osgeo.org/gitea/rttopo/librttopo
Source0:        https://git.osgeo.org/gitea/rttopo/librttopo/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  geos-devel
BuildRequires:  libtool
BuildRequires:  make

%description
The RT Topology Library exposes an API to create and manage standard
(ISO 13249 aka SQL/MM) topologies using user-provided data stores.

%package -n %{libname}
Summary:        Create and manage SQL/MM topologies
Group:          System/Libraries

Obsoletes:      librttopo
Provides:       librttopo = %{version}-%{release}

%description -n %{libname}
The RT Topology Library exposes an API to create and manage standard
(ISO 13249 aka SQL/MM) topologies using user-provided data stores.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{srcname}-devel = %{version}-%{release}

Obsoletes:      librttopo-devel
Provides:       librttopo-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files needed to build software using %{name}.

%prep
%setup -qn %{name}

%build
autoreconf -ifv
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{libnamedev}
%{_includedir}/%{name}.h
%{_includedir}/%{name}_geom.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/rttopo.pc


%changelog
* Wed Mar 03 2021 tex - 1.1.0-1pclos2021
- create pkg for pclos with proper lib names

